🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Detailed Match Making Report

This API provides a detailed report on the match-making analysis between a male and a female based on the Ashtakoota matching points, manglik dosha, rajju dosha, and vedha dosha. The response includes detailed information on each Ashtakoota attribute, the total points received, and the conclusion report based on the analysis.
POSThttps://json.astrologyapi.com/v1/match_making_detailed_report

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

m_dayintrequired

Day of birth, eg: 10

m_monthintrequired

Month of birth, eg: 5

m_yearintrequired

Year of birth, eg: 1990

m_hourintrequired

Hour of birth, eg: 11

m_minintrequired

Minute of birth, eg: 55

m_latfloatrequired

Latitude, eg: 19.2056

m_lonfloatrequired

Longitude, eg: 25.2056

m_tzonefloatrequired

Timezone, eg: 5.5

f_dayintrequired

Day of birth, eg: 10

f_monthintrequired

Month of birth, eg: 5

f_yearintrequired

Year of birth, eg: 1990

f_hourintrequired

Hour of birth, eg: 11

f_minintrequired

Minute of birth, eg: 55

f_latfloatrequired

Latitude, eg: 19.2056

f_lonfloatrequired

Longitude, eg: 25.2056

f_tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/match_making_detailed_report' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "m_day": 10,
    "m_month": 5,
    "m_year": 1990,
    "m_hour": 11,
    "m_min": 55,
    "m_lat": 19.2056,
    "m_lon": 25.2056,
    "m_tzone": 5.5,
    "f_day": 10,
    "f_month": 5,
    "f_year": 1990,
    "f_hour": 11,
    "f_min": 55,
    "f_lat": 19.2056,
    "f_lon": 25.2056,
    "f_tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

{
  "ashtakoota": {
    "varna": {
      "description": "Natural Refinement  / Work",
      "male_koot_attribute": "Kshatriya",
      "female_koot_attribute": "Kshatriya",
      "total_points": 1,
      "received_points": 1,
      "male_point": 1,
      "female_point": 1
    },
    "vashya": {
      "description": "Innate Giving / Attraction  towards each other",
      "male_koot_attribute": "Chatuspad",
      "female_koot_attribute": "Chatuspad",
      "total_points": 2,
      "received_points": 2,
      "male_point": 1,
      "female_point": 1
    },
    "tara": {
      "description": "Comfort - Prosperity - Health",
      "male_koot_attribute": "Ashwini",
      "female_koot_attribute": "Ashwini",
      "total_points": 3,
      "received_points": 3,
      "male_point": 1,
      "female_point": 1
    },
    "yoni": {
      "description": "Intimate Physical",
      "male_koot_attribute": "Ashwa",
      "female_koot_attribute": "Ashwa",
      "total_points": 4,
      "received_points": 4,
      "male_point": 1,
      "female_point": 1
    },
    "maitri": {
      "description": "Friendship",
      "male_koot_attribute": "Mars",
      "female_koot_attribute": "Mars",
      "total_points": 5,
      "received_points": 5,
      "male_point": 3,
      "female_point": 3
    },
    "gan": {
      "description": "Temperament",
      "male_koot_attribute": "Dev",
      "female_koot_attribute": "Dev",
      "total_points": 6,
      "received_points": 6,
      "male_point": 1,
      "female_point": 1
    },
    "bhakut": {
      "description": "Constructive Ability / Constructivism / Society and Couple",
      "male_koot_attribute": "Aries",
      "female_koot_attribute": "Aries",
      "total_points": 7,
      "received_points": 7,
      "male_point": 1,
      "female_point": 1
    },
    "nadi": {
      "description": "Progeny / Excess",
      "male_koot_attribute": "Adi",
      "female_koot_attribute": "Adi",
      "total_points": 8,
      "received_points": 0,
      "male_point": 2,
      "female_point": 2
    },
    "total": {
      "total_points": 36,
      "received_points": 28,
      "minimum_required": 18
    },
    "conclusion": {
      "status": true,
      "report": "The match has scored 28 points outs of 36 points. This is a reasonably good score. Moreover,your rashi lords are friendly with each other thereby signifying mental compatibility and mutual affection between the two. Hence, this is a favourable Ashtakoota match."
    }
  },
  "manglik": {
    "status": true,
    "male_percentage": 8.25,
    "female_percentage": 13.5
  },
  "rajju_dosha": {
    "status": true
  },
  "vedha_dosha": {
    "status": false
  },
  "conclusion": {
    "match_report": "The couple not only lacks compatibility, the presence of Rajju Dosha also threatens the strength and longevity of their married life. This match is not recommended."
  }
}